2007-03-16 [wwp] 2.8.1cvs18
authorTristan Chabredier <wwp@claws-mail.org>
Fri, 16 Mar 2007 14:48:12 +0000 (14:48 +0000)
committerTristan Chabredier <wwp@claws-mail.org>
Fri, 16 Mar 2007 14:48:12 +0000 (14:48 +0000)
* tools/mairix.sh
Added a wrapper to mairix to the tools folder.

ChangeLog
PATCHSETS
configure.ac
tools/mairix.sh [new file with mode: 0644]

index cb5ae0b..4d94e3e 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2007-03-16 [wwp]       2.8.1cvs18
+
+       * tools/mairix.sh
+               Added a wrapper to mairix to the tools folder.
+
 2007-03-16 [colin]     2.8.1cvs17
 
        * src/messageview.c
index 30cc375..bd981ba 100644 (file)
--- a/PATCHSETS
+++ b/PATCHSETS
 ( cvs diff -u -r 1.94.2.124 -r 1.94.2.125 src/messageview.c;  cvs diff -u -r 1.20.2.18 -r 1.20.2.19 src/mimeview.h;  ) > 2.8.1cvs15.patchset
 ( cvs diff -u -r 1.8.2.5 -r 1.8.2.6 .cvsignore;  ) > 2.8.1cvs16.patchset
 ( cvs diff -u -r 1.94.2.125 -r 1.94.2.126 src/messageview.c;  cvs diff -u -r 1.20.2.19 -r 1.20.2.20 src/mimeview.h;  ) > 2.8.1cvs17.patchset
+( diff -u /dev/null tools/mairix.sh;  ) > 2.8.1cvs18.patchset
index d21be7c..07e0ed4 100644 (file)
@@ -11,7 +11,7 @@ MINOR_VERSION=8
 MICRO_VERSION=1
 INTERFACE_AGE=0
 BINARY_AGE=0
-EXTRA_VERSION=17
+EXTRA_VERSION=18
 EXTRA_RELEASE=
 EXTRA_GTK2_VERSION=
 
diff --git a/tools/mairix.sh b/tools/mairix.sh
new file mode 100644 (file)
index 0000000..9a5e5aa
--- /dev/null
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+#  * Copyright 2007 Tristan Chabredier <wwp@claws-mail.org>
+#  *
+#  * This file is free software; you can redistribute it and/or modify it
+#  * under the terms of the GNU General Public License as published by
+#  * the Free Software Foundation; either version 2 of the License, or
+#  * (at your option) any later version.
+#  *
+#  * This program is distributed in the hope that it will be useful, but
+#  * WITHOUT ANY WARRANTY; without even the implied warranty of
+#  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+#  * General Public License for more details.
+#  *
+#  * You should have received a copy of the GNU General Public License
+#  * along with this program; if not, write to the Free Software
+#  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# mairix.sh            mairix wrapper for Claws Mail
+
+# if any param is passed, $1 must be the mairixrc file to use
+# if no param is passed, ~/.mairix is assumed
+
+read TEXT
+test -z "$TEXT" && \
+       exit 0
+
+if [ $# -ge 1 ]
+then
+       RCFILE="$1"
+       shift
+else
+       RCFILE=~/.mairixrc
+fi
+
+mairix -f "$RCFILE" --purge && \
+       mairix -f "$RCFILE" "$@" $TEXT
+exit $?